Loading...
Searching...
No Matches
casacore::HelpMeasUDF Class Reference

`#include <Register.h>`

## Public Member Functions

virtual void | setup (const Table &, const TaQLStyle &)
| Setup the object.
virtual String | getString (const TableExprId &id)
| Get the value.
Public Member Functions inherited from casacore::UDFBase
| UDFBase ()
| Only default constructor is needed.
virtual | ~UDFBase ()
| Destructor.
virtual Bool | getBool (const TableExprId &id)
| Evaluate the function and return the result.
virtual Int64 | getInt (const TableExprId &id)
virtual Double | getDouble (const TableExprId &id)
virtual DComplex | getDComplex (const TableExprId &id)
virtual TaqlRegex | getRegex (const TableExprId &id)
virtual MVTime | getDate (const TableExprId &id)
virtual MArray< Bool > | getArrayBool (const TableExprId &id)
virtual MArray< Int64 > | getArrayInt (const TableExprId &id)
virtual MArray< Double > | getArrayDouble (const TableExprId &id)
virtual MArray< DComplex > | getArrayDComplex (const TableExprId &id)
virtual MArray< String > | getArrayString (const TableExprId &id)
virtual MArray< MVTime > | getArrayDate (const TableExprId &id)
const String & | getUnit () const
| Get the unit.
const Record & | getAttributes () const
| Get the attributes.
virtual void | flattenTree (std::vector< TableExprNodeRep * > &)
| Flatten the node tree by adding the node and its children to the vector.
void | init (const std::vector< TENShPtr > &arg, const TableExprInfo &tableInfo, const TaQLStyle &)
| Initialize the function object.
TableExprNodeRep::NodeDataType | dataType () const
| Get the data type.
Int | ndim () const
| Get the dimensionality of the results.
const IPosition & | shape () const
| Get the result shape if the same for all results.
Bool | isConstant () const
| Tell if the UDF gives a constant result.
Bool | isAggregate () const
| Tell if the UDF is an aggregate function.
void | disableApplySelection ()
| Do not apply the selection.
void | applySelection (const Vector< rownr_t > &rownrs)
| If needed, let the UDF re-create column objects for a selection of rows.

## Static Public Member Functions

static UDFBase * | makeHELP (const String &)
| Function to create an object.
static void | showFuncsPosition (std::ostream &, Bool showTypes)
| Show the possible functions.
static void | showFuncsEpoch (std::ostream &, Bool showTypes)
static void | showFuncsDirection (std::ostream &, Bool showTypes)
static void | showFuncsEarthMagnetic (std::ostream &, Bool showTypes)
static void | showFuncsFrequency (std::ostream &, Bool showTypes)
static void | showFuncsDoppler (std::ostream &, Bool showTypes)
static void | showFuncsRadialVelocity (std::ostream &, Bool showTypes)
Static Public Member Functions inherited from casacore::UDFBase
static void | registerUDF (const String &name, MakeUDFObject *func)
| Register the name and construction function of a UDF (thread-safe).
static UDFBase * | createUDF (const String &name, const TaQLStyle &style)
| Create a UDF object (thread-safe).

## Additional Inherited Members

Public Types inherited from casacore::UDFBase
typedef UDFBase * | MakeUDFObject(const String &functionName)
| The signature of a global or static member function creating an object of the UDF.
Protected Member Functions inherited from casacore::UDFBase
std::vector< TENShPtr > & | operands ()
| Get the operands.
void | setDataType (TableExprNodeRep::NodeDataType)
| Set the data type.
void | setNDim (Int ndim)
| Set the dimensionality of the results.
void | setShape (const IPosition &shape)
| Set the shape of the results if it is fixed and known.
void | setUnit (const String &unit)
| Set the unit of the result.
void | setAttributes (const Record &attributes)
| Set the attributes of the result.
void | setConstant (Bool isConstant)
| Define if the result is constant (e.g.
void | setAggregate (Bool isAggregate)
| Define if the UDF is an aggregate function (usually used in GROUPBY).
virtual void | recreateColumnObjects (const Vector< rownr_t > &rownrs)
| Let a derived class recreate its column objects in case a selection has to be applied.

## Detailed Description

### Synopsis

General meas function to show the available functions.

Definition at line 49 of file Register.h.

## Member Function Documentation

## getString()

virtual String casacore::HelpMeasUDF::getString | ( | const TableExprId & | id | ) |

virtual

Get the value.

Reimplemented from casacore::UDFBase.

## makeHELP()

UDFBase * casacore::HelpMeasUDF::makeHELP | ( | const String & |  | ) |

static

Function to create an object.

References casacore::UDFBase::UDFBase().

## setup()

virtual void casacore::HelpMeasUDF::setup | ( | const Table & | ,
|  | const TaQLStyle & | )

virtual

Setup the object.

Implements casacore::UDFBase.

## showFuncsDirection()

void casacore::HelpMeasUDF::showFuncsDirection | ( | std::ostream & | ,
|  | Bool | showTypes )

static

## showFuncsDoppler()

void casacore::HelpMeasUDF::showFuncsDoppler | ( | std::ostream & | ,
|  | Bool | showTypes )

static

## showFuncsEarthMagnetic()

void casacore::HelpMeasUDF::showFuncsEarthMagnetic | ( | std::ostream & | ,
|  | Bool | showTypes )

static

## showFuncsEpoch()

void casacore::HelpMeasUDF::showFuncsEpoch | ( | std::ostream & | ,
|  | Bool | showTypes )

static

## showFuncsFrequency()

void casacore::HelpMeasUDF::showFuncsFrequency | ( | std::ostream & | ,
|  | Bool | showTypes )

static

## showFuncsPosition()

void casacore::HelpMeasUDF::showFuncsPosition | ( | std::ostream & | ,
|  | Bool | showTypes )

static

Show the possible functions.

## showFuncsRadialVelocity()

void casacore::HelpMeasUDF::showFuncsRadialVelocity | ( | std::ostream & | ,
|  | Bool | showTypes )

static

The documentation for this class was generated from the following file:

- meas/MeasUDF/Register.h